Rated 1 out of 5 stars

Already said this in response to your question on the original 1-Click page, but you haven't responded, so here it is: I was able to download it after you made it compatible with FF4, but it still doesn't work at all. I might as well not have installed it at all. This applies to this addon as well as the modified 1-Click link you gave me.

This review is for a previous version of the add-on (1.5.2).